Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.aPar.util
Class AParAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.amp.amf.parameters.aPar.util.AParAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  AParItemProviderAdapterFactory

    public class AParAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `AParPackage`

Field Summary
`protected static AParPackage` | `modelPackage` The cached model package.
`protected AParSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

Constructor Summary
`AParAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createImportAdapter()` Creates a new adapter for an object of class '`Import`'.
`org.eclipse.emf.common.notify.Adapter` | `createIncorporatesAdapter()` Creates a new adapter for an object of class '`Incorporates`'.
`org.eclipse.emf.common.notify.Adapter` | `createModelAdapter()` Creates a new adapter for an object of class '`Model`'.
`org.eclipse.emf.common.notify.Adapter` | `createParameterAdapter()` Creates a new adapter for an object of class '`Parameter`'.
`org.eclipse.emf.common.notify.Adapter` | `createSingleParameterAdapter()` Creates a new adapter for an object of class '`Single Parameter`'.
`org.eclipse.emf.common.notify.Adapter` | `createSweepLinkAdapter()` Creates a new adapter for an object of class '`Sweep Link`'.
`org.eclipse.emf.common.notify.Adapter` | `createSweepParameterAdapter()` Creates a new adapter for an object of class '`Sweep Parameter`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static AParPackage modelPackage

  The cached model package.

### modelSwitch

    protected AParSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### AParAdapterFactory

    public AParAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createModelAdapter

    public org.eclipse.emf.common.notify.Adapter createModelAdapter()

  Creates a new adapter for an object of class '`Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Model`

### createImportAdapter

    public org.eclipse.emf.common.notify.Adapter createImportAdapter()

  Creates a new adapter for an object of class '`Import`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Import`

### createIncorporatesAdapter

    public org.eclipse.emf.common.notify.Adapter createIncorporatesAdapter()

  Creates a new adapter for an object of class '`Incorporates`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Incorporates`

### createParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterAdapter()

  Creates a new adapter for an object of class '`Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Parameter`

### createSingleParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createSingleParameterAdapter()

  Creates a new adapter for an object of class '`Single Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SingleParameter`

### createSweepParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createSweepParameterAdapter()

  Creates a new adapter for an object of class '`Sweep Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SweepParameter`

### createSweepLinkAdapter

    public org.eclipse.emf.common.notify.Adapter createSweepLinkAdapter()

  Creates a new adapter for an object of class '`Sweep Link`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SweepLink`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD